package com.goafanti.user.bo;

import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;
import com.goafanti.common.constant.AFTConstants;

public class OrgListBo {
	private String	id;

	private String	mobile;

	private String	email;

	private Date	createTime;

	private Integer	number;

	private Integer	orgAuditStatus;

	private String	adminName;

	private String	unitName;

	private Integer	type;

	private String	managerName;

	private String	username;

	private Integer	userAuditStatus;

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getManagerName() {
		return managerName;
	}

	public void setManagerName(String managerName) {
		this.managerName = managerName;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getNumber() {
		return number;
	}

	public void setNumber(Integer number) {
		this.number = number;
	}

	public String getAdminName() {
		return adminName;
	}

	public void setAdminName(String adminName) {
		this.adminName = adminName;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getOrgAuditStatus() {
		return orgAuditStatus;
	}

	public void setOrgAuditStatus(Integer orgAuditStatus) {
		this.orgAuditStatus = orgAuditStatus;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getUserAuditStatus() {
		return userAuditStatus;
	}

	public void setUserAuditStatus(Integer userAuditStatus) {
		this.userAuditStatus = userAuditStatus;
	}

	// 注册时间
	public String getCreateTimeFormattedDate() {
		if (this.createTime == null) {
			return null;
		} else {
			return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDD);
		}
	}

	public void setCreateTimeFormattedDate(String createTimeFormattedDate) {

	}

}
